<#ibiztemplate>
TARGET=PSDATAENTITY
</#ibiztemplate>
<#if de.getUserTag()?? && de.getUserTag()=='elasticsearch'>
package ${pub.getPKGCodeName()}.core.es.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.util.ObjectUtils;
import org.springframework.util.DigestUtils;
import java.io.Serializable;
import lombok.*;
import org.springframework.data.annotation.Transient;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;

@Document(indexName = "${sys.codeName}", type = "${item.codeName}", shards = 5, replicas = 1)
public class ${item.codeName} implements Serializable {

    private static final long serialVersionUID = 1L;

    <#if de.getPSDEFields()??>
        <#comment>输出实体属性</#comment>
        <#list de.getPSDEFields() as defield>
            <#assign privateCodeName = srfcaseformat(defield.getCodeName(),'l_u2lC') >
            <#assign javaType=srfr7javatype(defield.getStdDataType())>
            <#assign esType="FieldType.Text">
            <#if javaType=='Long'>
                <#assign esType="FieldType.Long">
            <#elseif javaType=='Integer'>
                <#assign esType="FieldType.Integer">
            <#elseif javaType=='Double'|| javaType=='BigDecimal'>
                <#assign esType="FieldType.Double">
            <#elseif javaType=='Timestamp'>
                <#assign esType="FieldType.Date">
            </#if>
    @Field(type = ${esType})
    private ${javaType} ${privateCodeName};
        </#list>
    </#if>
}
</#if>





